Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 0.9.4
    • Fix Version/s: 2.0.8
    • Component/s: None
    • Labels:
      None

      Description

      The Spring integration module is in need of an overhaul. There are some things that aren't that simple to configure like the default IoService config. Also, Spring 2.0 is due to be released very soon. We should add support for the custom XML configuration feature introduced with Spring 2.0. That would let users write things like (just brainstorming here):

      <mina:acceptor type="socket" tcpNoDelay="true" reuseAddress="true" threadPoolMaxSize="20" threadPoolKeepAlive="30000">
        <mina:bind address=":23" handler="telnetHandler"/>
        <mina:bind address=":80" handler="httpHandler"/>
        <mina:bind address=":443" handler="httpHandler">
          <mina:filter ref="sslFilter"/>
        </mina:binding>
      </mina:acceptor>
      

      Of course, we should still support and make life easier for people who don't use Spring 2.0.

      I'd like to know what people using the Spring integration think should be made to make it easier to use. Please add your comments to this issue.

        Activity

        Hide
        trustin Trustin Lee added a comment -

        It would be nice if we can specify the default allocator very easily including whether to use direct buffer or to use heap buffer. (idea from Michael Bauroth)

        Show
        trustin Trustin Lee added a comment - It would be nice if we can specify the default allocator very easily including whether to use direct buffer or to use heap buffer. (idea from Michael Bauroth)
        Hide
        elecharny Emmanuel Lecharny added a comment -

        Status for this very old JIRA ?

        Show
        elecharny Emmanuel Lecharny added a comment - Status for this very old JIRA ?
        Hide
        elecharny Emmanuel Lecharny added a comment -

        Postponed to 3.0.0

        Show
        elecharny Emmanuel Lecharny added a comment - Postponed to 3.0.0
        Hide
        elecharny Emmanuel Lecharny added a comment -

        We are depending on Spring 2.6.0 since a hell lot of a time. I guess this issue is not anymore relevant...

        Show
        elecharny Emmanuel Lecharny added a comment - We are depending on Spring 2.6.0 since a hell lot of a time. I guess this issue is not anymore relevant...

          People

          • Assignee:
            paliwalashish Ashish Paliwal
            Reporter:
            niklas@trillian.se Niklas Therning
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development